TAAS - Feature #44

Service Tax
09/02/2022 05:47 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 09/03/2022
Priority: Normal Due date: 09/12/2022
Assignee: Augustin Jose % Done: 90%
Category: Estimated time: 20:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 24.00 Code Reviewed By:

Module: Service Tax

Description

Coding Service Tax

History

#1 - 09/02/2022 05:53 PM - Anil KV

GUI Changes

1) Label Service to Service Tax Type

2) label Tax Receivable Count to Tax Receivable Ac
3) Tax % and Inclusive Tax check box set a single line
4) Category move to under Service Tax Type

5) Remarks row set 2

6) Created by and Modified by move to right last

#2 - 09/02/2022 06:43 PM - Anil KV

public lstServiceTaxCategory: any[] = [
{ "intId": 1, "strLabel": "VAT", "blnDisable": false, "blnActive": true, "strRemarks": "" }
17
public lstServiceTaxType: any[] = [
{ "intId": 1, "strLabel": "Inward Credit Card Charge(RV)", "blnDisable": false, "blnActive":
arks": "" },
{ "intId": 2, "strLabel": "Outward Bank Transfer/Deposit Charge (PV)", "blnDisable": false,
lse, "strRemarks": "" },
{ "intId": 3, "strLabel": "Received Cheque Return Bank Charge", "blnDisable": false,
strRemarks": "" },
{ "intId": 4, "strLabel": "Paid Cheque Return Bank Charge", "blnDisable": false, "blnActive":
emarks": "" },
{ "intId": 5, "strLabel": "Inward Bank Transfer/Deposit Charge(RV)", "blnDisable": false,
se, "strRemarks": "" },
{ "intId": 6, "strLabel": "Outward Credit Card Charge (PV)", "blnDisable": false, "blnActive":
emarks": "" }
17
public lstServiceTaxPosting: any[] = [
{ "intId": 1, "strLabel": "Input Tax", "blnDisable": false, "blnActive": true, "strRemarks":
{ "intId": 2, "strLabel": "Charge", "blnDisable": false, "blnActive": false, "strRemarks":

17

#3 - 09/02/2022 06:43 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added
#4 - 09/05/2022 05:40 PM - Aparna Mathew
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#5 - 09/13/2022 11:05 AM - Aparna Mathew

- Status changed from Coding Started to Patrticialy Coding Done
- % Done changed from 40 to 30

- Time Taken(HH) set to 24.00

tax receivable account not added

#6 - 11/26/2022 05:28 PM - Aparna Mathew
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#7 - 11/28/2022 05:03 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.SET MANDATORY FIELDS RED AND REQUIRED
2.SET PERCENTAGE TAB VALIDATION

#8 - 11/30/2022 09:48 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 02/07/2023 02:36 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.NOT ALLOW NEGATIVE VALUES ON "TAX "

2.SET ALIGNMENT ON "CREATED BY" x%x "MODIFIED BY" WHILE TRANSLATION

#10 - 02/10/2023 10:10 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 05/25/2023 06:18 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Add precision on Grid & GUI (%)
2.Amounts should be align to right

3.Set validations on percentage input field
(If input fields are empty- GUI crash)
4.Set max limit on input fields

#12 - 05/26/2023 10:38 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 01/12/2024 11:35 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

GUI CHANGE

1. Add to option Service Tax Type* -> Cheque Discounting Bank charge

#14 - 01/12/2024 11:57 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#15 - 04/15/2024 01:02 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from Amal Cyriac to unnikannan S
ISSUE FOUNDED

1.Fix Error On Deletion

#16 - 04/15/2024 05:42 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#17 - 11/07/2024 06:17 PM - Theja Ponon

- File clipboard-202411071817-rjli2.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

issue found

Service Tax

hpse insert or update on table "tbl_service_tax" violates foreign key constraint "tbl_service_tax_fk_service_tax receivable_ac_id_fkey" X

Service Tax Type*  Inward Bank Transfer/Deposit Charge(RV) 4 Posting®  Charge v '
nt Category* = VAT v Tax%* | 400 Inclusive Tax '
K Remarks Status® | Active v '

ort Created By: admin(07/11/2024 12:14 PM)
Modified By: admin{07/11/2024 12:14 PM)[1]

»
»
»

# Service Tax Type Tax Percentage Tax Receivable Account Tax Posting

1 Inward Bank Transfer/Deposit Charge(RV) 4.00 Charge /

#18 - 11/08/2024 10:09 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#19 - 11/13/2024 06:47 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#20 - 12/18/2024 02:09 PM - Arathy PS
- Assignee changed from Aparna Mathew to Augustin Jose

#21 - 12/18/2024 02:12 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

1. Add 'Inward Extra Collection Output Tax(RV/Sale)' In Service Tax Type

2. Add 'Output Tax' in Posting

--Select 'Inward Extra Collection Output Tax(RV)' then allowed Output tax only.

3.'Tax Receivable Account' show and Mandatory - Choose output tax case, label change - 'Tax Payable Account'

#22 - 12/19/2024 01:52 PM - Augustin Jose
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#23 - 01/25/2025 02:17 PM - Theja Ponon
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

#24 - 02/19/2025 03:44 PM - Arathy PS
- Status changed from New Changes Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. No validation for 'Tax payable account' when Service Tax Type is 'Inward extra collection output tax'

#25 - 02/19/2025 04:05 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 02/20/2025 11:00 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#27 - 02/20/2025 11:12 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. In the grid change the column name to tax account and in show in the bracket of accounts whether they are receivable/payable.
2. tax receivable account not clearing while clicking new button.

#28 - 02/20/2025 06:02 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#29 - 02/21/2025 12:46 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

Files

1-CsModel.cs 1.46 KB 09/02/2022 Anil KV
3-CsFile.cs 13.3 KB 09/02/2022 Anil KV
2-tsModel.ts 1.23 KB 09/02/2022 Anil KV
4-CsControllerFile.cs

5-TsFile.ts

6-HtmiFile.html

sql.sql
